<template>
    <div>
        <label for="item" class="text-black" :size="size" :style="{fontSize : changeSize + 'px'}"> 
            <slot></slot>
        </label>
    </div>
</template>

<script>
    export default {
        props: {
            size: {
                type: String,
                default: 'default'
            }
        },
        computed: {
            changeSize() {
                let fontSize = ''
                if (this.size === 'sm') {
                    fontSize = 13
                } else if (this.size === 'lg') {
                    fontSize = 20
                } else if (this.size === 'xl') {
                    fontSize = 24
                } else {
                    fontSize = 15
                }
                return fontSize;
            },
        }
    }
</script>

<style lang="scss" scoped>

</style>